Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.toolbox.arguments
Class BitsetArgument

    java.lang.Object
      com.lowagie.toolbox.arguments.AbstractArgument
          com.lowagie.toolbox.arguments.BitsetArgument

All Implemented Interfaces:
  ActionListener, PropertyChangeListener, EventListener

    public class BitsetArgument

extends AbstractArgument

Argument that results in a set of "1" and "0" values.

Since:
  2.1.1 (imported from itexttoolbox project)

Field Summary
`private JCheckBox[]` | `options` These are the different options that can be true or false.

Fields inherited from class com.lowagie.toolbox.arguments.AbstractArgument
`description, name, pcs, tool, value`

Constructor Summary
`BitsetArgument(AbstractTool tool, String name, String description, String[] options)` Constructs an BitsetArgument.

Method Summary
`void` | `actionPerformed(ActionEvent evt)`
`String` | `getUsage()` Give you a String that can be used in a usage description.

Methods inherited from class com.lowagie.toolbox.arguments.AbstractArgument
`addPropertyChangeListener, firePropertyChange, getArgument, getDescription, getName, getTool, getValue, propertyChange, removePropertyChangeListener, setDescription, setName, setTool, setValue, setValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### options

    private JCheckBox[] options

  These are the different options that can be true or false.

Constructor Detail

### BitsetArgument

    public BitsetArgument(AbstractTool tool,
                          String name,
                          String description,
                          String[] options)

  Constructs an BitsetArgument.

  Parameters:
    `tool` - the tool that needs this argument
    `name` - the name of the argument
    `description` - the description of the argument
    `options` - the different options that can be true or false

Method Detail

### getUsage

    public String getUsage()

  Description copied from class: `AbstractArgument`
  Give you a String that can be used in a usage description.

  Overrides:
    `getUsage` in class `AbstractArgument`
  Returns:
    String
  See Also:
    `AbstractArgument.getUsage()`

### actionPerformed

    public void actionPerformed(ActionEvent evt)

  Specified by:
    `actionPerformed` in interface `ActionListener`
  Specified by:
    `actionPerformed` in class `AbstractArgument`
  Parameters:
    `evt` - ActionEvent
  See Also:
    `ActionListener.actionPerformed(java.awt.event.ActionEvent)`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hosted by Hostbasket
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD